return {
  'folke/snacks.nvim',
  priority = 1000,
  lazy = false,
  ---@type snacks.Config
  opts = {
    bigfile = { enabled = true },
    dashboard = { enabled = true },
    indent = { enabled = true },
    input = { enabled = true },
    -- notifier = { enabled = true },
    quickfile = { enabled = true },
    scroll = { enabled = true },
    statuscolumn = { enabled = true },
    words = { enabled = true },
  },
  styles = {
    notification = { wo = { wrap = true } },
  },
  keys = {
    {
      '<leader>gg',
      function()
        Snacks.lazygit { cwd = Snacks.git.get_root() }
      end,
      desc = 'Lazygit',
    },
    {
      '<leader>d',
      function()
        Snacks.dashboard()
      end,
      desc = 'Snacks Dashboard',
    },
  },
}
